Package ghidra.app.decompiler

# Class ClangVariableDecl

java.lang.Object
ghidra.app.decompiler.ClangTokenGroup
ghidra.app.decompiler.ClangVariableDecl

All Implemented Interfaces:
  `ClangNode`, `Iterable<ClangNode>`

public class ClangVariableDecl extends ClangTokenGroup
A grouping of source code tokens representing a variable declaration. This can be for a one line declaration (as for local variables) or as part of a function prototype declaring a parameter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClangVariableDecl(ClangNode par)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder, PcodeFactory pfactory)`
  Decode this text from an encoded stream.
  `DataType`
  `getDataType()`
  `HighSymbol`
  `getHighSymbol()`
  `HighVariable`
  `getHighVariable()`

  ### Methods inherited from class ghidra.app.decompiler.ClangTokenGroup

  `AddTokenGroup, Child, flatten, getClangFunction, getMaxAddress, getMinAddress, iterator, numChildren, Parent, setHighlight, stream, tokenIterator, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### ClangVariableDecl

    public ClangVariableDecl(ClangNode par)

- ## Method Details

  - ### getDataType

    public DataType getDataType()
    Returns:
      the data-type of the variable being declared

  - ### getHighVariable

    public HighVariable getHighVariable()
    Returns:
      the HighVariable (collection of Varnodes) associated with the variable

  - ### getHighSymbol

    public HighSymbol getHighSymbol()
    Returns:
      the symbol defined by this variable declaration

  - ### decode

    public void decode(Decoder decoder, PcodeFactory pfactory) throws DecoderException
    Description copied from class: `ClangTokenGroup`
    Decode this text from an encoded stream.
    Overrides:
      `decode` in class `ClangTokenGroup`
    Parameters:
      `decoder` - is the decoder for the stream
      `pfactory` - is used to look up p-code attributes to associate with tokens
    Throws:
      `DecoderException` - for problems decoding the stream